sayren Docs
주문 플로우 프리셋

플로우 프리셋 하나

프리셋 그래프와 흐름 설정을 준다. 흐름 만들기는 이 그래프를 편집기에 띄우고, 고친 그래프를 흐름 생성의 `graph`로 보낸다.

GET
/v1/flow-presets/{key}

프리셋 그래프와 흐름 설정을 준다. 흐름 만들기는 이 그래프를 편집기에 띄우고, 고친 그래프를 흐름 생성의 graph로 보낸다.

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

key*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/v1/flow-presets/string' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "key": "string",    "presetVersion": 0,    "name": "string",    "description": "string",    "availability": "AVAILABLE",    "dependsOn": [      "string"    ],    "requires": {      "property1": null,      "property2": null    },    "variables": [      {        "property1": null,        "property2": null      }    ],    "graph": {      "property1": null,      "property2": null    },    "definition": {      "property1": null,      "property2": null    }  },  "error": null}